var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Directive, ViewContainerRef, ContentChildren } from '@angular/core';
import { ComplexBase, ArrayBase, setValue } from '@syncfusion/ej2-ng-base';
var input = ['color', 'from', 'label', 'to', 'value'];
var outputs = ['color', 'from', 'label', 'to', 'value'];
/**
 * ColorMapping Directive
 * ```html
 * <e-layers>
 * <e-layer>
 * <e-bubbleSettings>
 * <e-colorMappings>
 * <e-colorMapping>
 * </e-colorMapping>
 * </e-colorMappings>
 * </e-bubbleSettings>
 * </e-layer>
 * </e-layers>
 * ```
 */
var ColorMappingDirective = /** @class */ (function (_super) {
    __extends(ColorMappingDirective, _super);
    function ColorMappingDirective(viewContainerRef) {
        var _this = _super.call(this) || this;
        _this.viewContainerRef = viewContainerRef;
        setValue('currentInstance', _this, _this.viewContainerRef);
        return _this;
        //this.registerEvents(outputs);
    }
    ColorMappingDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'e-bubbleSettings>e-colorMappings>e-colorMapping',
                    inputs: input,
                    queries: {}
                },] },
    ];
    /** @nocollapse */
    ColorMappingDirective.ctorParameters = function () { return [
        { type: ViewContainerRef, },
    ]; };
    return ColorMappingDirective;
}(ComplexBase));
export { ColorMappingDirective };
/**
 * ColorMapping Array Directive
 * @private
 */
var ColorMappingsDirective = /** @class */ (function (_super) {
    __extends(ColorMappingsDirective, _super);
    function ColorMappingsDirective() {
        return _super.call(this, 'colormapping') || this;
    }
    ColorMappingsDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'e-bubbleSettings>e-colorMappings',
                    queries: {
                        children: new ContentChildren(ColorMappingDirective)
                    },
                },] },
    ];
    /** @nocollapse */
    ColorMappingsDirective.ctorParameters = function () { return []; };
    return ColorMappingsDirective;
}(ArrayBase));
export { ColorMappingsDirective };
//# sourceMappingURL=colormapping.directive.js.map