import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { BubbleService, LegendService, MarkerService, HighlightService, SelectionService, MapsTooltipService, ZoomService, DataLabelService, NavigationLineService, AnnotationsService } from './maps.component';
import { MapsModule } from './maps.module';
/**
 * NgModule definition for the Maps component with providers.
 */
var MapsAllModule = /** @class */ (function () {
    function MapsAllModule() {
    }
    MapsAllModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule, MapsModule],
                    exports: [
                        MapsModule
                    ],
                    providers: [
                        BubbleService,
                        LegendService,
                        MarkerService,
                        HighlightService,
                        SelectionService,
                        MapsTooltipService,
                        ZoomService,
                        DataLabelService,
                        NavigationLineService,
                        AnnotationsService
                    ]
                },] },
    ];
    /** @nocollapse */
    MapsAllModule.ctorParameters = function () { return []; };
    return MapsAllModule;
}());
export { MapsAllModule };
//# sourceMappingURL=maps-all.module.js.map