import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { MarkerDirective, MarkersDirective } from './markersettings.directive';
import { ColorMappingDirective, ColorMappingsDirective } from './colormapping.directive';
import { BubbleDirective, BubblesDirective } from './bubblesettings.directive';
import { NavigationLineDirective, NavigationLinesDirective } from './navigationlinesettings.directive';
import { LayerDirective, LayersDirective } from './layers.directive';
import { AnnotationDirective, AnnotationsDirective } from './annotations.directive';
import { MapsComponent } from './maps.component';
/**
 * NgModule definition for the Maps component.
 */
var MapsModule = /** @class */ (function () {
    function MapsModule() {
    }
    MapsModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule],
                    declarations: [
                        MapsComponent,
                        MarkerDirective,
                        MarkersDirective,
                        ColorMappingDirective,
                        ColorMappingsDirective,
                        BubbleDirective,
                        BubblesDirective,
                        NavigationLineDirective,
                        NavigationLinesDirective,
                        LayerDirective,
                        LayersDirective,
                        AnnotationDirective,
                        AnnotationsDirective
                    ],
                    exports: [
                        MapsComponent,
                        MarkerDirective,
                        MarkersDirective,
                        ColorMappingDirective,
                        ColorMappingsDirective,
                        BubbleDirective,
                        BubblesDirective,
                        NavigationLineDirective,
                        NavigationLinesDirective,
                        LayerDirective,
                        LayersDirective,
                        AnnotationDirective,
                        AnnotationsDirective
                    ]
                },] },
    ];
    /** @nocollapse */
    MapsModule.ctorParameters = function () { return []; };
    return MapsModule;
}());
export { MapsModule };
//# sourceMappingURL=maps.module.js.map