import { ElementRef, ViewContainerRef, Renderer2, ValueProvider } from '@angular/core';
import { IComponentBase } from '@syncfusion/ej2-ng-base';
import { Maps, Bubble, Legend, Marker, Highlight, Selection, MapsTooltip, Zoom, DataLabel, NavigationLine, Annotations } from '@syncfusion/ej2-maps';
export declare const inputs: string[];
export declare const outputs: string[];
export declare const twoWays: string[];
/**
 * Maps Component
 * ```html
 * <ej-maps></ej-maps>
 * ```
 */
export declare class MapsComponent extends Maps implements IComponentBase {
    private ngEle;
    private srenderer;
    private viewContainerRef;
    childLayers: any;
    childAnnotations: any;
    tags: string[];
    constructor(ngEle: ElementRef, srenderer: Renderer2, viewContainerRef: ViewContainerRef, bubble: Bubble, legend: Legend, marker: Marker, highlight: Highlight, selection: Selection, mapsTooltip: MapsTooltip, zoom: Zoom, dataLabel: DataLabel, navigationLine: NavigationLine, annotations: Annotations);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngAfterContentChecked(): void;
    registerEvents: (eventList: string[]) => void;
    addTwoWay: (propList: string[]) => void;
}
export declare const BubbleService: ValueProvider;
export declare const LegendService: ValueProvider;
export declare const MarkerService: ValueProvider;
export declare const HighlightService: ValueProvider;
export declare const SelectionService: ValueProvider;
export declare const MapsTooltipService: ValueProvider;
export declare const ZoomService: ValueProvider;
export declare const DataLabelService: ValueProvider;
export declare const NavigationLineService: ValueProvider;
export declare const AnnotationsService: ValueProvider;
