var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Directive, ViewContainerRef, ContentChildren, ContentChild } from '@angular/core';
import { ComplexBase, ArrayBase, setValue } from '@syncfusion/ej2-ng-base';
import { Template } from '@syncfusion/ej2-ng-base';
var input = ['animationDelay', 'animationDuration', 'border', 'dashArray', 'dataSource', 'fill', 'height', 'highlightSettings', 'imageUrl', 'legendText', 'offset', 'opacity', 'selectionSettings', 'shape', 'template', 'tooltipSettings', 'visible', 'width'];
var outputs = ['animationDelay', 'animationDuration', 'border', 'dashArray', 'dataSource', 'fill', 'height', 'highlightSettings', 'imageUrl', 'legendText', 'offset', 'opacity', 'selectionSettings', 'shape', 'template', 'tooltipSettings', 'visible', 'width'];
/**
 * Layer Directive
 * ```html
 * <e-layers>
 * <e-layer>
 * <e-markerSettings>
 * <e-markerSetting>
 * </e-markerSetting>
 * </e-markerSettings>
 * </e-layer>
 * </e-layers>
 * ```
 */
var MarkerDirective = /** @class */ (function (_super) {
    __extends(MarkerDirective, _super);
    function MarkerDirective(viewContainerRef) {
        var _this = _super.call(this) || this;
        _this.viewContainerRef = viewContainerRef;
        setValue('currentInstance', _this, _this.viewContainerRef);
        return _this;
        //this.registerEvents(outputs);
    }
    MarkerDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'e-layer>e-markerSettings>e-markerSetting',
                    inputs: input,
                    queries: {}
                },] },
    ];
    /** @nocollapse */
    MarkerDirective.ctorParameters = function () { return [
        { type: ViewContainerRef, },
    ]; };
    MarkerDirective.propDecorators = {
        'template': [{ type: ContentChild, args: ['template',] },],
        'tooltipSettings_template': [{ type: ContentChild, args: ['tooltipSettingsTemplate',] },],
    };
    __decorate([
        Template(),
        __metadata("design:type", Object)
    ], MarkerDirective.prototype, "template", void 0);
    __decorate([
        Template(),
        __metadata("design:type", Object)
    ], MarkerDirective.prototype, "tooltipSettings_template", void 0);
    return MarkerDirective;
}(ComplexBase));
export { MarkerDirective };
/**
 * Marker Array Directive
 * @private
 */
var MarkersDirective = /** @class */ (function (_super) {
    __extends(MarkersDirective, _super);
    function MarkersDirective() {
        return _super.call(this, 'markersettings') || this;
    }
    MarkersDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'e-layer>e-markerSettings',
                    queries: {
                        children: new ContentChildren(MarkerDirective)
                    },
                },] },
    ];
    /** @nocollapse */
    MarkersDirective.ctorParameters = function () { return []; };
    return MarkersDirective;
}(ArrayBase));
export { MarkersDirective };
//# sourceMappingURL=markersettings.directive.js.map