var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Directive, ViewContainerRef, ContentChildren } from '@angular/core';
import { ComplexBase, ArrayBase, setValue } from '@syncfusion/ej2-ng-base';
var input = ['angle', 'arrowSettings', 'color', 'dashArray', 'highlightSettings', 'latitude', 'longitude', 'selectionSettings', 'visible', 'width'];
var outputs = ['angle', 'arrowSettings', 'color', 'dashArray', 'highlightSettings', 'latitude', 'longitude', 'selectionSettings', 'visible', 'width'];
/**
 * Layer Directive
 * ```html
 * <e-layers>
 * <e-layer>
 * <e-navigationLineSettings>
 * <e-navigationLineSetting>
 * </e-navigationLineSetting>
 * </e-navigationLineSettings>
 * </e-layer>
 * </e-layers>
 * ```
 */
var NavigationLineDirective = /** @class */ (function (_super) {
    __extends(NavigationLineDirective, _super);
    function NavigationLineDirective(viewContainerRef) {
        var _this = _super.call(this) || this;
        _this.viewContainerRef = viewContainerRef;
        setValue('currentInstance', _this, _this.viewContainerRef);
        return _this;
        //this.registerEvents(outputs);
    }
    NavigationLineDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'e-layer>e-navigationLineSettings>e-navigationLineSetting',
                    inputs: input,
                    queries: {}
                },] },
    ];
    /** @nocollapse */
    NavigationLineDirective.ctorParameters = function () { return [
        { type: ViewContainerRef, },
    ]; };
    return NavigationLineDirective;
}(ComplexBase));
export { NavigationLineDirective };
/**
 * NavigationLine Array Directive
 * @private
 */
var NavigationLinesDirective = /** @class */ (function (_super) {
    __extends(NavigationLinesDirective, _super);
    function NavigationLinesDirective() {
        return _super.call(this, 'navigationlinesettings') || this;
    }
    NavigationLinesDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'e-layer>e-navigationLineSettings',
                    queries: {
                        children: new ContentChildren(NavigationLineDirective)
                    },
                },] },
    ];
    /** @nocollapse */
    NavigationLinesDirective.ctorParameters = function () { return []; };
    return NavigationLinesDirective;
}(ArrayBase));
export { NavigationLinesDirective };
//# sourceMappingURL=navigationlinesettings.directive.js.map